Bug 117098 - three buglets
Summary: three buglets
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: timidity++ (Show other bugs)
(Show other bugs)
Version: 2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact:
URL:
Whiteboard:
Keywords: EasyFix
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-28 14:28 UTC by d.binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-19 00:39:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2004-02-28 14:28:02 UTC
Description of problem:

I just tried to compile Core2 Test1 package timidity++-2.11.3-8

The compiler said

1.

mloader.c(635): warning #140: too many arguments in function call

The source code is

          FreeSampleList (musiclist);

but, earlier in the same file

static void
FreeSampleList ()
{

Suggest change definition of FreeSampleList to

static void
FreeSampleList ( void)
{

and delete musiclist from call.

2.

mloader.c(642): warning #140: too many arguments in function call

Duplicate.

3.

playmidi.c(4667): remark #592: variable "rc" is used before its value
is set

The source code is

        return rc;

Suggest init rc before first use.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Alan Cox 2004-06-19 00:38:21 UTC
Committed to CVS



Note You need to log in before you can comment on or make changes to this bug.